public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim/
Date: Fri,  5 Jan 2018 06:49:07 +0000 (UTC)	[thread overview]
Message-ID: <1515134933.0aba0a8b1c6bbf11347bfd58b19ce19d6bb2d760.heroxbd@gentoo> (raw)

commit:     0aba0a8b1c6bbf11347bfd58b19ce19d6bb2d760
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  5 06:43:08 2018 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Fri Jan  5 06:48:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aba0a8b

app-i18n/scim: version bump.

Suggested-By: Juanjie Xi <strangemk3 <AT> gmail.com>
Closes: https://bugs.gentoo.org/626764
Closes: https://github.com/gentoo/gentoo/pull/6625
Bug: https://bugs.gentoo.org/638368

 app-i18n/scim/Manifest           |  1 +
 app-i18n/scim/scim-1.4.18.ebuild | 98 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/app-i18n/scim/Manifest b/app-i18n/scim/Manifest
index edea97ca641..2d0d87bb21a 100644
--- a/app-i18n/scim/Manifest
+++ b/app-i18n/scim/Manifest
@@ -1,3 +1,4 @@
 DIST scim-1.4.14.tar.gz 1519287 BLAKE2B 6bd2f7328e9a75c392b0f8d1d096b09b55dc88489e4524213743a9be61b29b2d610d20394d59aa83001d17d7a210e30627ab06148a4677b02344a2872608babd SHA512 00fe7a1b40b69aae123c0a1e67eb3744ad1e6b1e66726bb011a7426bd28012c52b346c62f08c7ecf0977ac3e88ee416337c9fa89b39142d5eea338d99641f5df
 DIST scim-1.4.16.tar.gz 1361105 BLAKE2B 669c0836cd0fc220a78d113214d948b0f3f961bf2910967e2f8b4ef62e2e23dc4d604656232bb4030219a826dfb4e2076151e43916ffe280c2451ed8f25f8eef SHA512 23fe60202d74dd8cba84da40f80b6998d96180b08a618b052dde54b4d16a65246608344f63d6dd9b3d8a98102adcfd4831d850d81348539074273a2062c133d8
 DIST scim-1.4.17.tar.gz 1285383 BLAKE2B 95b9ecb0bb25a15876df8175ee0b9392c301e3b0c554ac6ccba6b863420828ce185d3454f2fef48c03e7451f01815020290be7611b8536d8a028153af3a3fe2b SHA512 a7e0696330bca6fdf929ec0565ab4af1b4d0e5f73592cf5cccf1af6412eb351cd5a5ec9a3e5b83b24d6abad89bbb38a375cbbb0fd978f2fa17f6d64b69da0e3a
+DIST scim-1.4.18.tar.gz 1288060 BLAKE2B c2f1ce5608423734899aa6698060245c4ee253048d04d32bf5e853b8c68255340a8d35c0ebaaa50871b07c23ee9018b6bac03b18fbd4fa4dbea0e67c32c9ae30 SHA512 9a6090fc1ab950905a9c54d6678ce3d2a44297d1a992a3e933b0466688638e6cf470c1682daa58a6fbb6de3216b649273faf7edff1ac0ecca1c2c77fc19108fb

diff --git a/app-i18n/scim/scim-1.4.18.ebuild b/app-i18n/scim/scim-1.4.18.ebuild
new file mode 100644
index 00000000000..fed4fdc5b77
--- /dev/null
+++ b/app-i18n/scim/scim-1.4.18.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic multilib gnome2-utils autotools
+
+DESCRIPTION="Smart Common Input Method (SCIM) is an Input Method (IM) development platform"
+HOMEPAGE="https://sourceforge.net/projects/scim"
+SRC_URI="https://github.com/scim-im/scim/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc gtk3"
+
+RDEPEND="x11-libs/libX11
+	dev-libs/glib:2
+	gtk3? ( x11-libs/gtk+:3 )
+	!gtk3? ( x11-libs/gtk+:2 )
+	>=dev-libs/atk-1
+	>=x11-libs/pango-1"
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen
+		>=app-text/docbook-xsl-stylesheets-1.73.1 )
+	dev-lang/perl
+	virtual/pkgconfig
+	>=dev-util/intltool-0.33
+	sys-devel/libtool"
+DOCS=(
+	README
+	AUTHORS
+	ChangeLog
+	docs/developers
+	docs/scim.cfg
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	# bug #83625
+	filter-flags -fvisibility-inlines-hidden -fvisibility=hidden
+	econf $(use_with doc doxygen) \
+		--enable-ld-version-script \
+		$(usex gtk3 --with-gtk-version={3,2})
+}
+
+src_compile() {
+	default
+	use doc && emake docs
+}
+
+src_install() {
+	use doc && HTML_DOCS=( "${S}/docs/html/" )
+	default
+
+	sed -e "s:@EPREFIX@:${EPREFIX}:" "${FILESDIR}/xinput-${PN}" > "${T}/${PN}.conf" || die
+	insinto /etc/X11/xinit/xinput.d
+	doins "${T}/${PN}.conf"
+}
+
+pkg_postinst() {
+	elog
+	elog "To use SCIM with both GTK and XIM, you should use the following"
+	elog "in your user startup scripts such as .gnomerc or .xinitrc:"
+	elog
+	elog "LANG='your_language' scim -d"
+	elog "export XMODIFIERS=@im=SCIM"
+	elog "export GTK_IM_MODULE=\"scim\""
+	elog "export QT_IM_MODULE=\"scim\""
+	elog
+	elog "where 'your_language' can be zh_CN, zh_TW, ja_JP.eucJP or any other"
+	elog "UTF-8 locale such as en_US.UTF-8 or ja_JP.UTF-8"
+	elog
+	elog "To use Chinese input methods:"
+	elog "	# emerge app-i18n/scim-tables app-i18n/scim-pinyin"
+	elog "To use Korean input methods:"
+	elog "	# emerge app-i18n/scim-hangul"
+	elog "To use Japanese input methods:"
+	elog "	# emerge app-i18n/scim-anthy"
+	elog "To use various input methods (more than 30 languages):"
+	elog "	# emerge app-i18n/scim-m17n"
+	elog
+	elog "Please modify ${EPREFIX}/etc/scim/global and add your UTF-8 locale to"
+	elog "/SupportedUnicodeLocales entry."
+	elog
+	ewarn
+	ewarn "If you upgraded from scim-1.2.x or scim-1.0.x, you should remerge all SCIM modules."
+	ewarn
+
+	gnome2_query_immodules_gtk2
+}
+
+pkg_postrm() {
+	gnome2_query_immodules_gtk2
+}


             reply	other threads:[~2018-01-05  6:49 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-01-05  6:49 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-17 15:36 [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim/ Arthur Zamarin
2024-06-17 15:35 Arthur Zamarin
2024-06-15 14:14 James Le Cuirot
2024-06-15 13:16 David Seifert
2024-06-13 19:44 Arthur Zamarin
2024-06-13 18:59 Arthur Zamarin
2024-06-13 18:53 Arthur Zamarin
2024-06-13 18:52 Arthur Zamarin
2024-06-13 18:52 Arthur Zamarin
2024-06-13 18:52 Arthur Zamarin
2024-05-31 11:59 Arthur Zamarin
2021-07-28  3:00 Yixun Lan
2020-10-23 12:34 Andreas Sturmlechner
2020-05-23  8:27 Andreas Sturmlechner
2020-02-09 12:24 Mart Raudsepp
2019-05-28  2:35 Aaron Bauman
2019-03-11 18:44 Matt Turner
2019-03-02 23:28 Andreas Sturmlechner
2019-02-04 19:41 Sergei Trofimovich
2018-08-25 20:37 Michał Górny
2018-07-08 10:48 Markus Meier
2018-06-23 14:01 Mikle Kolyada
2018-06-19 19:13 Sergei Trofimovich
2018-06-19 12:55 Thomas Deutschmann
2018-04-16 18:29 Mike Gilbert
2018-03-21  5:55 Markus Meier
2018-03-08 19:33 Mike Gilbert
2018-03-08 19:33 Mike Gilbert
2018-02-06 18:36 Thomas Deutschmann
2018-01-29  8:22 Tobias Klausmann
2018-01-05  6:55 Benda XU
2017-12-28 11:58 Sergei Trofimovich
2017-12-16 17:24 Tobias Klausmann
2017-12-03 10:34 Sergei Trofimovich
2017-12-02 21:42 Sergei Trofimovich
2016-06-02  1:43 Benda XU
2016-05-11  3:13 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1515134933.0aba0a8b1c6bbf11347bfd58b19ce19d6bb2d760.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox